package com.gic.haoban.manage.web.qo.hm;

import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotEmpty;

import java.io.Serializable;

/**
 * @Author MUSI
 * @Date 2022/7/8 9:47 AM
 * @Description
 * @Version
 **/
public class HmPageSettingReq implements Serializable {

    private static final long serialVersionUID = -3759274516687664059L;
    private Long pageId;
    /**
     * 落地页模板名称
     */
    @NotEmpty(message = "落地页模板名称不能为空")
    @Length(max = 20, message = "落地页模板名称长度最大为20个字符")
    private String pageName;
    /**
     * 页面标题
     */
    @Length(max = 10, message = "落地页页面标题长度最大为10个字符")
    private String pageTitle;

    /**
     * 商户名称
     */
    @Length(max = 20, message = "落地页模板商户名称长度最大为20个字符")
    private String merchantName;

    /**
     * 商户电话号码
     */
    private String merchantPhoneNumber;

    /***
     * 商户logo
     */
    private String merchantLogo;

    /**
     * 页面背景
     */
    private String pageBackgroundImg;

    /**
     * 引导语
     */
    private String guideComment;
    
    private int pageType ;

    public int getPageType() {
        return pageType;
    }

    public void setPageType(int pageType) {
        this.pageType = pageType;
    }

    public Long getPageId() {
        return pageId;
    }

    public void setPageId(Long pageId) {
        this.pageId = pageId;
    }

    public String getPageName() {
        return pageName;
    }

    public void setPageName(String pageName) {
        this.pageName = pageName;
    }

    public String getPageTitle() {
        return pageTitle;
    }

    public void setPageTitle(String pageTitle) {
        this.pageTitle = pageTitle;
    }

    public String getMerchantName() {
        return merchantName;
    }

    public void setMerchantName(String merchantName) {
        this.merchantName = merchantName;
    }

    public String getMerchantPhoneNumber() {
        return merchantPhoneNumber;
    }

    public void setMerchantPhoneNumber(String merchantPhoneNumber) {
        this.merchantPhoneNumber = merchantPhoneNumber;
    }

    public String getMerchantLogo() {
        return merchantLogo;
    }

    public void setMerchantLogo(String merchantLogo) {
        this.merchantLogo = merchantLogo;
    }

    public String getPageBackgroundImg() {
        return pageBackgroundImg;
    }

    public void setPageBackgroundImg(String pageBackgroundImg) {
        this.pageBackgroundImg = pageBackgroundImg;
    }

    public String getGuideComment() {
        return guideComment;
    }

    public void setGuideComment(String guideComment) {
        this.guideComment = guideComment;
    }
}
